Bug 606169 - Evolution calendar workweek view does not show all days specified in preferences
Evolution calendar workweek view does not show all days specified in preferences
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-20 20:52 EDT by srh
Modified: 2010-06-28 06:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:38:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 623029 None None None Never

  None (edit)
Description srh 2010-06-20 20:52:01 EDT
Description of problem:
Successfully set up MS exchange account in Evo. Created some calendar appointments in the exchange calendar. 

In Evo Preferences, 'Calendar and Tasks', General tab, tick all boxes from Mon to Sun for 'Work days'. In Evo calendar, click on 'Work week' view, see seven days (Mon to Sun) showing OK. Close Evo.

Start Evo again, go to calendar view, select 'Work Week' view, only see Mon to Fri (NO Sat or Sun). Open Evo Preferences, and see that Sat and Sun are still ticked for workweek view. Untick Sun, see that calendar now changes to show Mon-Sat (as Sat is still ticked). Re-tick Sun, and calendar changes to show Mon-Sun.

Note - after ticking all days Mon-Sun in Preferences, gconf-editor /apps/evolution/calendar/display/working_days = 127 after closing Evo. When Evo starts again and only shows Mon-Fri in 'Work Week' view, /apps/evolution/calendar/display/working_days is still 127 (ie. no change)

Version-Release number of selected component (if applicable):
Name       : evolution
Arch       : x86_64
Version    : 2.30.1
Release    : 8.fc13

Name       : evolution-exchange
Arch       : x86_64
Version    : 2.30.1
Release    : 3.fc13

How reproducible:
Always

Actual results:
Only see Mon-Fri.

Expected results:
See Mon-Sun on Evo startup when all day boxes are tick in Evo prefs.
Comment 1 Jean-Francois Saucier 2010-06-25 09:05:57 EDT
I can actually confirm this bug on my end too :

F-13
evolution-2.30.1-8.fc13.i686


Please tell me if I can provide any more informations.
Comment 2 Milan Crha 2010-06-28 06:38:18 EDT
Thanks for a bug report. I can reproduce this even on actual git master of evolution, and as it doesn't depend on Fedora, then I'm moving this to a new upstream bug report [1]. Please refer to it for any further updates.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=623029

Note You need to log in before you can comment on or make changes to this bug.